
#include "includes/template-basic.h"                    

// ****************************************************************************

void APPLICATION()
{
 
    uns16   teplota;

  
    disableSPI();             // zablokuje SPI royhrani
    setNetworkTwo();          // nastavi cluster, kde jsem uzel (node)
    while (!amIBonded())      // zjisti zda jsem pribondovan
    {
        pulsingLED();         // pokud ne, vesele si blikam
        bondRequest();        // a snazim se pribondovat
        clrwdt();             // nezapominam na WTD
        stopLED();            
        clrwdt();
        waitDelay(100);
    }
    
    PIN = 0;
      
    while (1)                 // pokud jsem pribondovan...               
    {
    
      clrwdt();               // opet nezapominam na WDT               
           
      if (RFRXpacket())       // sem tam se podivam, zda mi neprisel paket
      {

            if (RX==0xFF)
                    continue;
                    
            clrwdt();  
            getNetworkParams();           // do param2 si presuneme cislo nodu             
            bufferRF[0] = '0'+param2;     // presuneme ho do RFBufferu
            bufferRF[1] = ':';            
            bufferRF[2] = ' ';
            RX = 0;                       // nastavime si jako prijemce coordinatora
            PIN = 0;                      // pro jistotu smazeme byte PIN !!!
            DLEN = 6;                     // nastavime delku zpravy na 6 byte
            
            // zde zacina mereni teploty tak, jak jsme to již dělali
            getTemperature();
            teplota.high8 = ADRESH&0x03;
            teplota.low8  = ADRESL;
            teplota *= 75;
            teplota >>= 8;
            teplota -= 50;
            bufferRF[3] = teplota.low8/10;
            bufferRF[3] += '0';
            bufferRF[4] = teplota.low8%10;
            bufferRF[4] += '0';
            bufferRF[5] = 'C';
            // zde končí měření teploty
            
            RFTXpacket();                   
            pulseLED();       // pokud ani, dat to na vedomi
          
      } 
      
      if (buttonPressed)      // muze se stat ze nechci byt pribondovan
      {                       // a tak stisknu tlacitko
           setNetworkTwo();   // nsatavim se do clusteru kde jsem uzlem (node)
           removeBond();      // vymazu informaci o sparovani
           wipeBondNR();      // a vymazu adresu - co kdyz budu chtit jinam
           reset();           // a oblibeny vseopravny prostredek (SW reset)
      } 
          
    }
}

